%global modulename has-value

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-has-value
Version:        1.0.0
Release:        1%{?dist}
Summary:        Returns true if a value exists, false if empty. Works with deeply nested values using object paths.

License:        MIT
URL:            https://github.com/jonschlinkert/has-value
Source0:        https://registry.npmjs.org/has-value/-/has-value-1.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(get-value) >= 2.0.6 with npmlib(get-value) < 3.0.0))
BuildRequires:  ((npmlib(has-values) >= 1.0.0 with npmlib(has-values) < 2.0.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.0 with npmlib(isobject) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Returns true if a value exists, false if empty. Works with deeply nested values using object paths.

%package 1.0.0
Summary:        Returns true if a value exists, false if empty. Works with deeply nested values using object paths.


%description 1.0.0
Returns true if a value exists, false if empty. Works with deeply nested values using object paths.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 1.0.0-1
- Package automatically generated by npm2srpm
